org.apache.myfaces.trinidad.component.html

## Class HtmlMeta

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.html.HtmlMeta

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class HtmlMeta
      extends UIXComponentBase

  The meta component supports generating an html meta tag for things like reloading the page or configuring viewport characteristics like these: <meta name="viewport" content="width=device-width, user-scalable=no"> <meta name="apple-mobile-web-app-capable" content="yes"> <meta http-equiv="refresh" content="2;url=./test/index.jspx"> It is also important to note that a meta HTML tag cannot have an ID so the component ID will not be seen in the browser source.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `CONTENT_KEY`
    `static PropertyKey` | `NAME_KEY`
    `static FacesBean.Type` | `TYPE`
    `static String` | `TYPE_HTTP_EQUIV`
    `static PropertyKey` | `TYPE_KEY`
    `static String` | `TYPE_NAME`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `HtmlMeta()` Construct an instance of the HtmlMeta.
    `protected` | `HtmlMeta(String rendererType)` Construct an instance of the HtmlMeta.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getContent()` Gets the content for the meta tag
    `String` | `getFamily()`
    `String` | `getName()` Gets the name or the http-equiv attribute for the meta tag (see the type attribute for further configuration)
    `String` | `getType()` Gets how the name attribute is used.
    `void` | `setContent(String content)` Sets the content for the meta tag
    `void` | `setName(String name)` Sets the name or the http-equiv attribute for the meta tag (see the type attribute for further configuration)
    `void` | `setType(String type)` Sets how the name attribute is used.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addClientBehavior, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientBehaviors, getClientId, getComponentChangeFilters, getContainerClientId, getDefaultEventName, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_NAME

          public static final String TYPE_NAME

      See Also:
        Constant Field Values

    - #### TYPE_HTTP_EQUIV

          public static final String TYPE_HTTP_EQUIV

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### NAME_KEY

          public static final PropertyKey NAME_KEY

    - #### TYPE_KEY

          public static final PropertyKey TYPE_KEY

    - #### CONTENT_KEY

          public static final PropertyKey CONTENT_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlMeta

          public HtmlMeta()

      Construct an instance of the HtmlMeta.

    - #### HtmlMeta

          protected HtmlMeta(String rendererType)

      Construct an instance of the HtmlMeta.

  - ### Method Detail

    - #### getName

          public final String getName()

      Gets the name or the http-equiv attribute for the meta tag (see the type attribute for further configuration)
      Returns:
        the new name value

    - #### setName

          public final void setName(String name)

      Sets the name or the http-equiv attribute for the meta tag (see the type attribute for further configuration)
      Parameters:
        `name` - the new name value

    - #### getType

          public final String getType()

      Gets
      how the name attribute is used. Options are:
      - name - for "name" which is the most common use for meta tags
      - httpEquiv - for "http-equiv" which is the used in some legacy meta tags
      Returns:
        the new type value

    - #### setType

          public final void setType(String type)

      Sets
      how the name attribute is used. Options are:
      - name - for "name" which is the most common use for meta tags
      - httpEquiv - for "http-equiv" which is the used in some legacy meta tags
      Parameters:
        `type` - the new type value

    - #### getContent

          public final String getContent()

      Gets the content for the meta tag
      Returns:
        the new content value

    - #### setContent

          public final void setContent(String content)

      Sets the content for the meta tag
      Parameters:
        `content` - the new content value

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `UIXComponentBase`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXComponentBase`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.